FILESEXTRAPATHS:prepend := "${THISDIR}/files/optee-os/imx8mp-verdin:"

COMPATIBLE_MACHINE = "imx8mp-verdin"

OPTEEMACHINE = "${OPTEE_PLATFORM}"
OPTEEOUTPUTMACHINE = "imx8mp-verdin"

# Uncoment to enable verbose logs
#EXTRA_OEMAKE:remove = "CFG_TEE_CORE_LOG_LEVEL=2"
#EXTRA_OEMAKE += " CFG_TEE_CORE_LOG_LEVEL=4"

#EXTRA_OEMAKE += " CFG_CORE_DYN_SHM=y"
#EXTRA_OEMAKE += " CFG_CORE_HEAP_SIZE=65536"
EXTRA_OEMAKE += " CFG_DDR_SIZE=${DDR_SIZE}"
#EXTRA_OEMAKE += " CFG_REE_FS=n"
#EXTRA_OEMAKE += " CFG_RPMB_FS=y"
#EXTRA_OEMAKE += " CFG_RPMB_FS_DEV_ID=0"
#EXTRA_OEMAKE += " CFG_RPMB_TESTKEY=y"
#EXTRA_OEMAKE += " CFG_RPMB_WRITE_KEY=y"
#EXTRA_OEMAKE += " CFG_SCTLR_ALIGNMENT_CHECK=n"
#EXTRA_OEMAKE += " CFG_STMM_PATH=${DEPLOY_DIR_IMAGE}/uefi.bin"
EXTRA_OEMAKE += " CFG_TEE_BENCHMARK=n"
EXTRA_OEMAKE += " CFG_TZC380=y"
EXTRA_OEMAKE += " CFG_TZDRAM_START=${TEE_LOAD_ADDR}"
EXTRA_OEMAKE += " CFG_UART_BASE=${UART_BASE}"
EXTRA_OEMAKE += " CROSS_COMPILE64=${HOST_PREFIX}"
EXTRA_OEMAKE += " HOST_PREFIX=${HOST_PREFIX}"

do_install:append() {
    install -D -p -m 0644 ${D}${nonarch_base_libdir}/firmware/tee-raw.bin \
        ${D}/sysroot-only/firmware/tee.bin
}
